﻿using System;

namespace NTERA.Interpreter
{
	[AttributeUsage(AttributeTargets.Field, AllowMultiple = true)]
	public class LexerCharacterAttribute : Attribute
	{
		public char Character { get; }

		public LexerCharacterAttribute(char character)
		{
			Character = character;
		}
	}

	[AttributeUsage(AttributeTargets.Field, AllowMultiple = true)]
	public class LexerKeywordAttribute : Attribute
	{
		public string Keyword { get; }
		public bool IsLineKeyword { get; }

		public LexerKeywordAttribute(string keyword, bool isLineKeyword = false)
		{
			Keyword = keyword;
			IsLineKeyword = isLineKeyword;
		}
	}
}