﻿using System;

namespace NTERA.Interpreter.Compiler
{
	public class Keyword
	{
		public string Name { get; }

		public bool ImplicitString { get; }
		public bool ImplicitFormatted { get; }

		public Keyword(string name, bool implicitString = false, bool implicitFormatted = false)
		{
			if (implicitFormatted && !implicitString)
				throw new ArgumentException("Keyword cannot support formatting if it does not use implicit strings");

			Name = name;

			ImplicitString = implicitString;
			ImplicitFormatted = implicitFormatted;
		}
	}
}